Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.dbc.condition
Class Condition

    java.lang.Object
      org.jboss.aspects.dbc.condition.Condition

Direct Known Subclasses:
  ExecutableCondition, InvariantCondition

public abstract class Condition
extends Object

Stores a

Version:
  $Revision: 1.1.8.5 $
Author:
  Kabir Khan

Field Summary
`protected Class` | `clazz`
`protected String` | `condExpr`
`protected boolean` | `isStatic`
`protected String` | `originalExpr`
`protected HashMap` | `parameterLookup`
`static String` | `RETURN`
`static String` | `TARGET`

Constructor Summary
`Condition(String condExpr, Class clazz, boolean isStatic)`

Method Summary
`boolean` | `equals(Object o)`
`protected Object` | `getTarget(org.jboss.aop.joinpoint.Invocation invocation, boolean isStatic)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TARGET

    public static final String TARGET

See Also:
  Constant Field Values

### RETURN

    public static final String RETURN

See Also:
  Constant Field Values

### parameterLookup

    protected HashMap parameterLookup

### originalExpr

    protected String originalExpr

### condExpr

    protected String condExpr

### clazz

    protected Class clazz

### isStatic

    protected boolean isStatic

Constructor Detail

### Condition

    public Condition(String condExpr,
                     Class clazz,
                     boolean isStatic)

Method Detail

### toString

    public String toString()

### equals

    public boolean equals(Object o)

### hashCode

    public int hashCode()

### getTarget

    protected Object getTarget(org.jboss.aop.joinpoint.Invocation invocation,
                               boolean isStatic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.